Show / Hide Table of Contents

# Struct hkJob

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkJob

### Fields

| Improve this Doc View Source

#### JobSubType

##### Declaration

    public byte JobSubType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### JobType

##### Declaration

    public hkEnum<hkJob.hkJobType, byte> JobType

##### Field Value

Type | Description
--- | ---
hkEnum<hkJob.hkJobType, System.Byte> |

| Improve this Doc View Source

#### Size

##### Declaration

    public ushort Size

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SpuType

##### Declaration

    public hkEnum<hkJob.hkJobSpuType, byte> SpuType

##### Field Value

Type | Description
--- | ---
hkEnum<hkJob.hkJobSpuType, System.Byte> |

| Improve this Doc View Source

#### ThreadAffinity

##### Declaration

    public short ThreadAffinity

##### Field Value

Type | Description
--- | ---
System.Int16 |